Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix
Class OrdStatusFactory

    java.lang.Object
      com.fxcm.fix.OrdStatusFactory

    public class OrdStatusFactory

extends Object

Field Summary
`static IOrdStatus` | `CALCULATED` Used to gurantee or protect a price and quantity
`static IOrdStatus` | `CANCELLED` Canceled order with or without executions
`static IOrdStatus` | `EXPIRED` Order has been canceled in broker's system due to time in force instructions.
`static IOrdStatus` | `FILLED` Order completely filled, no remaining quantity
`static IOrdStatus` | `NEW` Outstanding order with no executions
`static IOrdStatus` | `PARTIALLY_FILLED` Outstanding order with executions and remaining quantity
`static IOrdStatus` | `PENDING_CANCEL` Order is under cancel processing
`static IOrdStatus` | `PENDING_NEW` Order has been received by sell-side's system but not yet accepted for execution.
`static IOrdStatus` | `PENDING_REPLACE` Order has been requoted
`static IOrdStatus` | `REJECTED` Order has been rejected by sell-side.
`static IOrdStatus` | `REPLACED` Order Removed/Replaced
`static IOrdStatus` | `STOPPED` Order has been stopped at the exchange.

Constructor Summary
`OrdStatusFactory()`

Method Summary
`static IOrdStatus` | `toCode(String aCode)` Converts a status code to a fix object

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NEW

    public static final IOrdStatus NEW

  Outstanding order with no executions

### PARTIALLY_FILLED

    public static final IOrdStatus PARTIALLY_FILLED

  Outstanding order with executions and remaining quantity

### FILLED

    public static final IOrdStatus FILLED

  Order completely filled, no remaining quantity

### CANCELLED

    public static final IOrdStatus CANCELLED

  Canceled order with or without executions

### STOPPED

    public static final IOrdStatus STOPPED

  Order has been stopped at the exchange.

### REJECTED

    public static final IOrdStatus REJECTED

  Order has been rejected by sell-side. NOTE: An order can be rejected subsequent to order acknowledgment, i.e. an order can pass from New to Rejected status.

### REPLACED

    public static final IOrdStatus REPLACED

  Order Removed/Replaced

### EXPIRED

    public static final IOrdStatus EXPIRED

  Order has been canceled in broker's system due to time in force instructions.

### PENDING_REPLACE

    public static final IOrdStatus PENDING_REPLACE

  Order has been requoted

### PENDING_CANCEL

    public static final IOrdStatus PENDING_CANCEL

  Order is under cancel processing

### CALCULATED

    public static final IOrdStatus CALCULATED

  Used to gurantee or protect a price and quantity

### PENDING_NEW

    public static final IOrdStatus PENDING_NEW

  Order has been received by sell-side's system but not yet accepted for execution. An execution message with this status will only be sent in response to a Status Request message.

Constructor Detail

### OrdStatusFactory

    public OrdStatusFactory()

Method Detail

### toCode

    public static IOrdStatus toCode(String aCode)

  Converts a status code to a fix object

  Parameters:
    `aCode` - ``ORDSTATUS_*``
  Returns:
    order status fix object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 FXCM, LLC. All Rights Reserved.